##### 7.5.23.0. is_pure

Procedure from library `purityfiltration.lib` (see purityfiltration_lib).

Usage:
  is_pure(R), R representing the module M=D^p/D^q(R^t)

Return:
  int, 0 or 1

Purpose:
  checks pureness of M.
  returns 1, if M is pure, or 0, if it's not
  remark: if M is zero, is_pure returns 1

Example:

    LIB "purityfiltration.lib";
    ring D = 0,(x,y,z),dp;
    matrix R[3][2]=y,-z,x,0,0,x;
    list T=purityFiltration(transpose(R));
    print(transpose(std(transpose(T[2][2]))));
    ==> y,-z,
    ==> x,0,
    ==> 0,x
    // so the purity filtration of coker(R) is trivial,
    // i.e. coker(R) is already pure
    is_pure(transpose(R));
    ==> 1
    // we can also have non-pure modules:
    matrix R2[6][4]=
    0,-2*x,z-2*y-x,-1,
    0,z-2*x,2*y-3*x,1,
    z,-6*x,-2*y-5*x,-1,
    0,y-x,y-x,0,
    y,-x,-y-x,0,
    x,-x,-2*x,0;
    is_pure(transpose(R2));
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.